#### D.2.4.17 discrim

Procedure from library `grobcov.lib` (see grobcov_lib).

Usage:
  discrim(f,x);
  poly f: the polynomial in Q[a][x] or Q[x] of degree 2 in x poly x: can be a variable or a parameter of the ring.

Return:
  the factorized discriminant of f wrt x for discussing its sign

Example:

    LIB "grobcov.lib";
    if(defined(R)){kill R;}
    ring R=(0,a,b,c),(x,y),dp;
    short=0;
    poly f=a*x^2*y+b*x*y+c*y;
    discrim(f,x);
    ==> [1]:
    ==>    _[1]=-1
    ==>    _[2]=(4*a*c-b^2)
    ==>    _[3]=y
    ==> [2]:
    ==>    1,1,2

User manual for Singular version 4.4.1, 2025, generated by texi2html.